geany-plugins-geanyvc-1.24-2.el6.x86_64.rpm


Advertisement

Description

geany-plugins-geanyvc - Version Control for Geany

Property Value
Distribution CentOS 6
Repository EPEL Testing x86_64
Package name geany-plugins-geanyvc
Package version 1.24
Package release 2.el6
Package architecture x86_64
Package type rpm
Installed size 101.40 KB
Download size 42.60 KB
Official Mirror dl.fedoraproject.org
Geanyvc is a plugin that provides a uniform way of accessing different version
control systems from within the Geany IDE. Currently, support for the following
version control systems is provided:
* Bazaar
* Git
* Mercurial
* Subversion
* SVK
* CVS

Alternatives

Package Version Architecture Repository
geany-plugins-geanyvc-1.24-2.el6.i686.rpm 1.24 i686 EPEL Testing
geany-plugins-geanyvc - - -

Requires

Name Value
geany-plugins-common = 1.24-2.el6
libatk-1.0.so.0()(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libcairo.so.2()(64bit) -
libfontconfig.so.1()(64bit) -
libfreetype.so.6()(64bit) -
libgdk-x11-2.0.so.0()(64bit) -
libgdk_pixbuf-2.0.so.0()(64bit) -
libgio-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgmodule-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgthread-2.0.so.0()(64bit) -
libgtk-x11-2.0.so.0()(64bit) -
libgtkspell.so.0()(64bit) -
libpango-1.0.so.0()(64bit) -
libpangocairo-1.0.so.0()(64bit) -
libpangoft2-1.0.so.0()(64bit) -
libpthread.so.0()(64bit) -
librt.so.1()(64bit) -
rtld(GNU_HASH) -

Provides

Name Value
geany-plugins-geanyvc = 1.24-2.el6
geany-plugins-geanyvc(x86-64) = 1.24-2.el6
geanyvc = 1.24-2.el6
geanyvc.so()(64bit) -

Obsoletes

Name Value
geanyvc <= 0.5

Download

Type URL
Binary Package geany-plugins-geanyvc-1.24-2.el6.x86_64.rpm
Source Package geany-plugins-1.24-2.el6.src.rpm

Install Howto

  1. Download latest epel-release rpm from
    http://dl.fedoraproject.org/pub/epel/6/x86_64/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install geany-plugins-geanyvc rpm package:
    # yum --enablerepo=epel-testing install geany-plugins-geanyvc

Files

Path
/usr/lib64/geany/geanyvc.so
/usr/share/doc/geany-plugins-1.24/geanyvc/AUTHORS
/usr/share/doc/geany-plugins-1.24/geanyvc/COPYING
/usr/share/doc/geany-plugins-1.24/geanyvc/ChangeLog
/usr/share/doc/geany-plugins-1.24/geanyvc/NEWS
/usr/share/doc/geany-plugins-1.24/geanyvc/README

Changelog

2014-11-02 - Dominic Hopf <dmaphy@fedoraproject.org> - 1.24-2
- disable scope plugin for el6
2014-04-15 - Dominic Hopf <dmaphy@fedoraproject.org> - 1.24-1
- New upstream release: Geany-Plugins 1.24
- remove geanygdb from specfile
- fix bogus date warnings
- new plugins: autoclose, defineformat, geanypy, pairtaghighlighter and pohelper
2013-07-26 - Ville Skyttä <ville.skytta@iki.fi> - 1.23-3
- Install docs to %{_pkgdocdir} where available.
2013-05-15 - Tom Callaway <spot@fedoraproject.org> - 1.23-2
- rebuild for lua 5.2
- enable devhelp
2013-03-10 - Dominic Hopf <dmaphy@fedoraproject.org> - 1.23-1
- New upstream release: Geany-Plugins 1.23
- New plugins: commander, markdown, multiterm, scope
2013-02-13 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
2012-08-02 - Dominic Hopf <dmaphy@fedoraproject.org> - 1.22-3
- add Obsoletes and Provides for pretty-print(er)
2012-07-19 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
2012-07-16 - Dominic Hopf <dmaphy@fedoraproject.org> - 1.22-1
- New upstream release: Geany-Plugins 1.22
- this release deprecates the geanygdb plugin
- pretty-print has been renamed to pretty-printer
- new plugins: geanyminiscript and geniuspaste
2012-06-24 - Dominic Hopf <dmaphy@fedoraproject.org> - 0.21-4
- require and build against Geany 1.22

See Also

Package Description
geany-plugins-geniuspaste-1.24-2.el6.x86_64.rpm Use nopaste services directly from within Geany
geany-plugins-gproject-1.24-2.el6.x86_64.rpm Extension of Geany's project management
geany-plugins-markdown-1.24-2.el6.x86_64.rpm Real time preview for Markdown documents
geany-plugins-multiterm-1.24-2.el6.x86_64.rpm Multiple terminals inside of Geany
geany-plugins-pairtaghighlighter-1.24-2.el6.x86_64.rpm Extension of Geany's project management
geany-plugins-pohelper-1.24-2.el6.x86_64.rpm Extension of Geany's project management
geany-plugins-pretty-printer-1.24-2.el6.x86_64.rpm XML pretty printing plugin for Geany
geany-plugins-shiftcolumn-1.24-2.el6.x86_64.rpm Move Blocks of Text horizontally
geany-plugins-spellcheck-1.24-2.el6.x86_64.rpm Spellcheck Text in Geany using the Enchant Library
geany-plugins-tableconvert-1.24-2.el6.x86_64.rpm Helps on converting a tabulator separated selection into a table
geany-plugins-treebrowser-1.24-2.el6.x86_64.rpm Alternate file browser plugin providing a tree view of directories
geany-plugins-updatechecker-1.24-2.el6.x86_64.rpm Automatically check for Geany updates
geany-plugins-webhelper-1.24-2.el6.x86_64.rpm Preview and Debug Web documents from within Geany using WebKit
geany-plugins-xmlsnippets-1.24-2.el6.x86_64.rpm Extends XML/HTML tag autocompletion provided by Geany
gfal2-2.16.1-1.el6.i686.rpm Grid file access library 2.0
Advertisement
Advertisement